> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Add keywords or regex patterns to a moderation list.

# Add Keywords



## OpenAPI

````yaml post /moderation/keywords
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /moderation/keywords:
    post:
      tags:
        - Moderation
      summary: Add Keywords
      description: Create a new keyword list for moderation.
      operationId: create-rule-keyword
      parameters:
        - $ref: 900ff1b0-74f5-4642-acbb-babdc818ac5c
        - $ref: cc7fca35-62de-4a16-87da-10ae1da70d6e
        - $ref: 9425386d-3f95-4f38-ac75-494cd14fc652
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: 4fcff924-0017-45c2-9b53-cd3918d169cd
      responses:
        '200':
          description: Created Keyword
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/webhookSchema'
                    type: object
                type: object
              example:
                data:
                  id: profane-word-list-1
                  name: profane word list
                  description: Profane word list
                  category: word
                  isCSV: true
                  searchTerms:
                    - '"a"'
                    - '"b"'
                    - '"c"'
                  createdAt: 1720023805
                  updatedAt: 1720023805
                  revisionId: 253179cf5f665257_profane-word-list-1_1
                  active: true
components:
  schemas:
    webhookSchema:
      description: Response data
      properties:
        id:
          type: string
        name:
          type: string
        webhookURL:
          type: string
        useBasicAuth:
          type: boolean
        username:
          type: string
        password:
          type: string
        enabled:
          type: boolean
        createdAt:
          type: integer
        updatedAt:
          type: integer
      type: object

````